Bug 1261696 - efifb console produces no output (Lenovo P500, Nvidia Quadro K620)
efifb console produces no output (Lenovo P500, Nvidia Quadro K620)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 21:41 EDT by Dan Callaghan
Modified: 2016-07-19 13:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:50:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (76.01 KB, text/plain)
2015-09-09 21:41 EDT, Dan Callaghan
no flags Details

  None (edit)
Description Dan Callaghan 2015-09-09 21:41:25 EDT
Created attachment 1071976 [details]
dmesg

Description of problem:
efifb does not show any output. The Lenovo startup logo stays displayed on the screen, even though the kernel has booted successfully.

Version-Release number of selected component (if applicable):
kernel-4.1.6-200.fc22.x86_64

How reproducible:
always, on this hardware

Steps to Reproduce:
1. Boot my system

Actual results:
The system boots but monitor still shows the Lenovo firmware startup logo. No kernel messages or getty is shown. Switching VTs with Ctrl-Alt-F2 has no effect.

Expected results:
Kernel messages are displayed, getty login prompt appears, can switch VTs.

Additional info:
Lenovo P500 workstation, firmware rev A4KT73AUS
All CSM/legacy features disabled ("pure UEFI")
Nvidia Quadro K620
ThinkVision 2840m monitor connected via Displayport

Booting with Gummiboot (not GRUB2). If I hold spacebar the Gummiboot menu displays correctly.

Plymouth is disabled and removed.

Nouveau also has some problems with this setup (doesn't take over from efifb, doesn't set boot_vga=1) but for the purposes of this bug report I have disabled nouveau, running just efifb.

Kernel messages attached, but the efifb-related messages appear normal:

[    4.575387] efifb: probing for efifb
[    4.575441] efifb: framebuffer at 0xe0000000, mapped to 0xffffc90008000000, using 34560k, total 34560k
[    4.575446] efifb: mode is 3840x2160x32, linelength=16384, pages=1
[    4.575449] efifb: scrolling: redraw
[    4.575452] efifb: Truecolor: size=8:8:8:8, shift=24:16:8:0
[    4.613272] Console: switching to colour frame buffer device 480x135
[    4.649957] fb0: EFI VGA frame buffer device
Comment 1 Dan Callaghan 2015-09-09 21:56:15 EDT
Some other problems I am seeing, which might be related...

With nouveau enabled, I get two framebuffers. Nouveau does not take over from efifb properly. The console still does not display in this case. (The 4.1 kernels have some Nouveau bugs affecting this card so I can only test this with a hacked-up 4.2 kernel + some patches recommended by Ben Skeggs.)

[    4.573445] efifb: probing for efifb
[    4.573500] efifb: framebuffer at 0xe0000000, mapped to 0xffffc90008000000, using 34560k, total 34560k
[    4.573504] efifb: mode is 3840x2160x32, linelength=16384, pages=1
[    4.573507] efifb: scrolling: redraw
[    4.573510] efifb: Truecolor: size=8:8:8:8, shift=24:16:8:0
[    4.647981] fb0: EFI VGA frame buffer device
...
[    9.606992] nouveau  [     DRM] allocated 1920x1200 fb: 0x60000, bo ffff8810343f2000
[    9.607112] nouveau 0000:03:00.0: fb1: nouveaufb frame buffer device
[    9.607114] nouveau 0000:03:00.0: registered panic notifier
[    9.617142] [drm] Initialized nouveau 1.2.2 20120801 for 0000:03:00.0 on minor 0

If I disable efifb entirely by passing video=efifb:off on the kernel command line, then I get fb0 as Nouveau and the console works properly after the point where nouveau takes over.

The other problem I noticed which might be related is the boot_vga sysfs attribute for the card (/sys/devices/pci0000:00/0000:00:02.0/0000:03:00.0/boot_vga) is 0, whereas it should be 1 since it is the only graphics adapter. This affects Xorg autoconfiguration. I found this old commit which mentions boot_vga being 0 with efifb:

https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=7babfd7f066dae02c63d9ccac886419ccfb80cfd
Comment 2 Justin M. Forbes 2015-10-20 15:32:05 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 3 Dan Callaghan 2015-10-22 18:08:44 EDT
Same behaviour with kernel-4.2.3-200.fc22.x86_64.
Comment 4 Fedora End Of Life 2016-07-19 13:50:46 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.